From 0e34d199fba9028c8090a5f93920aef4d0390c7f Mon Sep 17 00:00:00 2001
From: Leah Rowe <leah@libreboot.org>
Date: Sun, 5 Mar 2023 13:42:06 +0000
Subject: update debian dependencies (for sid)

---
 resources/scripts/build/dependencies/debian | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

(limited to 'resources/scripts/build')

diff --git a/resources/scripts/build/dependencies/debian b/resources/scripts/build/dependencies/debian
index 66249481..ee61e639 100755
--- a/resources/scripts/build/dependencies/debian
+++ b/resources/scripts/build/dependencies/debian
@@ -19,6 +19,8 @@
 #    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
+set -e
+
 if [ "$(id -u)" -ne 0 ]; then
    printf "This script must be run as root\n" 
    exit 1
@@ -69,7 +71,7 @@ fi
 # Memtest86+ build dependencies
 # ------------------------------------------------------------
 
-apt-get -y install build-essential python
+apt-get -y install build-essential python3
 
 # i945-pwm build dependencies
 # ------------------------------------------------------------
@@ -93,6 +95,8 @@ apt-get -y install libncurses5-dev doxygen iasl gdb flex bison build-essential g
 
 apt-get -y install fonts-unifont libopts25 libselinux1-dev autogen m4 autoconf help2man libopts25-dev libfont-freetype-perl automake autotools-dev build-essential bison flex libfuse-dev liblzma-dev gawk libdevmapper-dev libtool libfreetype6-dev
 
+apt-get -y install unifont
+
 # U-Boot build dependencies
 # -------------------------
 
-- 
cgit v1.2.1